/** @jsx jsx */
import { jsx } from '@emotion/core';
import { borderRadius } from '@atlaskit/theme/constants';
var BORDER_RADIUS = "".concat(borderRadius(), "px");
export default (function (_ref) {
  var backgroundColor = _ref.backgroundColor,
      textColor = _ref.textColor,
      children = _ref.children,
      testId = _ref.testId;
  return jsx("span", {
    css: {
      backgroundColor: backgroundColor,
      borderRadius: BORDER_RADIUS,
      boxSizing: 'border-box',
      color: textColor,
      display: 'inline-block',
      fontSize: '11px',
      fontWeight: 700,
      lineHeight: 1,
      maxWidth: '100%',
      padding: '2px 0 3px 0',
      textTransform: 'uppercase',
      verticalAlign: 'baseline'
    },
    "data-testid": testId
  }, children);
});